<!DOCTYPE html PUBLIC "-//IETF//DTD HTML 2.0//EN">
<?php
///////////////////////////////////////////////////////////////////////////////////////
// File: admin/index.html
// Purpose: List all the Lehrveranstaltungen for editing and option for create new LVA
///////////////////////////////////////////////////////////////////////////////////////


// Include the header (Banner)
include_once('header.php');

include_once('../includes/include_fns.php');

date_default_timezone_set('Europe/Vienna');

$handle = db_connect();

// Execute the query to retrieve course
$result = $handle->query('SELECT * FROM courses');

echo ' <div class="controlButtons"> (<a href="../">Add New Course</a>) (<a href="../">Public Site</a>) (<a href="logout.php">Logout</a>) </div>';
echo '<h1>Cibiv Teaching Administration</h1>';
echo '<table>';
echo '<tr>
	<th>Course</th>
	<th>Year</th>
	<th>Semester</th>
	<th>Last modified</th>
	<th>Modifier</th>
	<th>Edit Options</th>
	</tr>';


while ($course = $result->fetch_assoc()){
	echo '<tr>';
	echo '<td>'.$course['name'].'</td>';
	echo '<td>'.$course['year'].'</td>';
	echo '<td>'.$course['semester'].'</td>';
	echo '<td>';
	echo date('d M Y, H:i',$course['last_modified']);
	echo '</td>';
	echo '<td>'.$course['last_modified_by'].'</td>';
	echo '<td>';
	if ($course['published'])
	{
		echo '[Published '.date('d M Y, H:i', $stories['published']).']';
	}
	else
	{
		echo '[<a href="course.php?course='.$course['id'].'">edit</a>] ';
		echo '[<a href="delete_course.php?course='.$course['LVA_ID'].'">delete</a>] ';
	}
	echo '</td>';
	echo '</tr>';
	
	
}

echo '</table>';


?>
